Mass Workflow Job

Get

HTTP Request

GET /api/v1/batch/mass-workflow/jobs/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseMassWorkflowJobDto

Update

HTTP Request

PUT /api/v1/batch/mass-workflow/jobs/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

body

body

MassWorkflowJobDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseMassWorkflowJobDto

Create Or Update Bulk

HTTP Request

PUT /api/v1/batch/mass-workflow/jobs/createOrUpdate/bulk

Parameters

Name

In

Type

Required

Description

body

body

MassWorkflowJobDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListMassWorkflowJobDto

Create Or Update

HTTP Request

PUT /api/v1/batch/mass-workflow/jobs/createOrUpdate

Parameters

Name

In

Type

Required

Description

body

body

MassWorkflowJobDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseMassWorkflowJobDto

Bulk Update

HTTP Request

PUT /api/v1/batch/mass-workflow/jobs/bulk

Parameters

Name

In

Type

Required

Description

body

body

MassWorkflowJobDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListMassWorkflowJobDto

Process Uploaded Workbook Input

HTTP Request

POST /api/v1/batch/mass-workflow/jobs/upload-workbook-input/{job-id}

Parameters

Name

In

Type

Required

Description

job-id

path

integer(int64)

true

none

body

body

object

false

none

» file

body

string(binary)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

None

Search Units

HTTP Request

POST /api/v1/batch/mass-workflow/jobs/units

Parameters

Name

In

Type

Required

Description

body

body

object

true

none

» request

body

MassWorkflowJobListFilterTypeRequest

false

none

»» searchTerm

body

string

false

none

»» migratedFilterType

body

string

true

none

»» entityType

body

string

false

none

»» initialState

body

string

false

none

»» transitions

body

[string]

false

none

»» acceptsHitchhickers

body

boolean

false

none

»» profile

body

MassWorkflowJobFilter

true

none

»»» persistable

body

boolean

false

none

»»» id

body

integer(int64)

false

none

»»» createdBy

body

string

false

none

»»» createdAt

body

string(date-time)

false

none

»»» modifiedBy

body

string

false

none

»»» modifiedAt

body

string(date-time)

false

none

»»» profileId

body

integer(int64)

false

none

»»» name

body

string

false

none

»»» principalPositionType

body

string

false

none

»»» filterTypes

body

MassWorkflowObjectFilterTypes

false

none

»»»» erpSystemFilterType

body

string

false

none

»»»» leaseAreaFilterType

body

string

false

none

»»»» businessUnitFilterType

body

string

false

none

»»»» companyFilterType

body

string

false

none

»»»» leaseDepartmentFilterType

body

string

false

none

»»»» leaseGroupFilterType

body

string

false

none

»»»» costCenterFilterType

body

string

false

none

»»»» profitCenterFilterType

body

string

false

none

»»»» wbsFilterType

body

string

false

none

»»»» businessAreaFilterType

body

string

false

none

»»»» functionalAreaFilterType

body

string

false

none

»»» baseIdList

body

[BatchFilterObjectBaseId]

false

none

»»»» id

body

integer(int64)

false

none

»»»» displayId

body

string

false

none

»»»» objectType

body

string

true

none

»»» bypassFiltering

body

boolean

false

none

»»» listObjectType

body

string

false

none

»»» objectListDisplayIds

body

[string]

false

none

»»» new

body

boolean

false

none

» pageable

body

Pageable

false

Represents pagination request parameters including page number, page size, and sorting options.

»» page

body

integer(int32)

true

The requested page number (0-based).

»» size

body

integer(int32)

true

The number of elements to be returned per page.

»» sort

body

[string]

false

Sorting criteria in the format: property,(asc

Example Values

Parameter

Example

Type

»» page

0

body

»» size

10

body

»» sort

["id,asc","name,desc"]

body

Enumerated Values

Attribute

Value

»» entityType

ACTIVATION_GROUP, CONTRACT, JOURNAL, LEASE_COMPONENT, MASTER_AGREEMENT, UNIT

»» initialState

AG_ACTIVATING, AG_ACTIVE, AG_CLASSIFIED, AG_CLOSED, AG_CLOSING, AG_DEFINE, AG_GENERATING_SCHEDULE, AG_GENERATING_SCHEDULE_2, AG_INACTIVE, AG_LEASE_END, AG_LEASE_ENDING, AG_PENDING_ASSESSMENT, AG_PENDING_CLASSIFICATION, AG_RECLOSE, AG_REJECTED, AG_REPROCESS, AG_REVERSING, AG_REVERTED, AG_REVERTING, AG_REVISION, AG_SPLITTING, CONTRACT_ACTIVE, CONTRACT_CLOSED, CONTRACT_DEFINE, CONTRACT_REJECTED, CONTRACT_REVISION, CONTRACT_WAITING_FOR_APPROVAL, LC_ACTIVATING, LC_ACTIVE, LC_CLOSED, LC_DEFINE, LC_REJECTED, LC_REVISION, LC_WAITING_FOR_APPROVAL, MLA_ACTIVE, MLA_CLOSED, MLA_DEFINE, MLA_DISCARDED, MLA_WAITING_FOR_APPROVAL, UNIT_ACTIVE, UNIT_CASUALTY, UNIT_DELIVERED, UNIT_DRAFT, UNIT_INITIAL, UNIT_PURCHASED, UNIT_REACQUIRED, UNIT_RECEIVED, UNIT_RELINQUISHED, UNIT_RETURNED, UNIT_SHIPPED

»» migratedFilterType

ALL, MIGRATED, NON_MIGRATED

»» transitions

AG_ACTIVATING_TO_ACTIVE, AG_ACTIVE_TO_LEASE_ENDING, AG_CLASSIFIED_TO_ACTIVATING, AG_CLASSIFIED_TO_DEFINE, AG_CLASSIFIED_TO_REJECTED, AG_CLOSING_TO_CLOSE, AG_DEFINE_TO_GENERATING, AG_DEFINE_TO_GENERATING_2, AG_GENERATING_TO_DEFINE, AG_GENERATING_TO_PENDING_ASSESSMENT, AG_LEASE_ENDING_TO_LEASE_END, AG_LEASE_END_TO_CLOSING, AG_PENDING_ASSESSMENT_TO_DEFINE, AG_PENDING_ASSESSMENT_TO_PENDING_CLASSIFICATION, AG_PENDING_CLASSIFICATION_TO_CLASSIFIED, AG_PENDING_CLASSIFICATION_TO_DEFINE, AG_RECLOSE_TO_CLOSING, AG_REPROCESS_TO_ACTIVATING, AG_REPROCESS_TO_REVERSING, AG_REVERSING_TO_DEFINE, AG_SPLITTING_TO_UNKNOWN, CONTRACT_ACTIVE_TO_CLOSE, CONTRACT_ACTIVE_TO_DEFINE, CONTRACT_ACTIVE_TO_REJECTED, CONTRACT_DEFINE_TO_WAITING_FOR_APPROVAL, CONTRACT_WAITING_FOR_APPROVAL_TO_APPROVED, CONTRACT_WAITING_FOR_APPROVAL_TO_DEFINE, LC_ACTIVATING_TO_APPROVED, LC_ACTIVE_TO_CLOSE, LC_ACTIVE_TO_DEFINE, LC_ACTIVE_TO_REJECTED, LC_DEFINE_TO_WAITING_FOR_APPROVAL, LC_WAITING_FOR_APPROVAL_TO_ACTIVATING, LC_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_ACTIVE_TO_CLOSED, MLA_ACTIVE_TO_DEFINE, MLA_DEFINE_TO_WAITING_FOR_APPROVAL, MLA_WAITING_FOR_APPROVAL_TO_ACTIVE, MLA_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_WAITING_FOR_APPROVAL_TO_DISCARDED, UNIT_ACTIVE_TO_CLOSED, UNIT_DELIVERED_TO_REACQUIRED, UNIT_DELIVERED_TO_RELINQUISHED, UNIT_DRAFT_TO_INITIAL, UNIT_INITIAL_TO_RECEIVED, UNIT_INITIAL_TO_SHIPPED, UNIT_RECEIVED_TO_ACTIVE, UNIT_SHIPPED_TO_DELIVERED

»»» listObjectType

ACTIVATION_GROUP, CHARGE, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, SCHEDULE, UNIT

»»» principalPositionType

LESSEE, LESSOR

»»»» businessAreaFilterType

ALL, LIST

»»»» businessUnitFilterType

ALL, LIST

»»»» companyFilterType

ALL, LIST

»»»» costCenterFilterType

ALL, LIST

»»»» erpSystemFilterType

ALL, LIST

»»»» functionalAreaFilterType

ALL, LIST

»»»» leaseAreaFilterType

ALL, LIST

»»»» leaseDepartmentFilterType

ALL, LIST

»»»» leaseGroupFilterType

ALL, LIST

»»»» objectType

ASSET_CLASS, BUSINESS_AREA, BUSINESS_UNIT, COMPANY, CONSUMER_PRICE_INDEX_CATEGORY, COST_CENTER, ERP_SYSTEM, FUNCTIONAL_AREA, LEASE_AREA, LEASE_DEPARTMENT, LEASE_GROUP, PROFIT_CENTER, WORK_BREAKDOWN_STRUCTURE

»»»» profitCenterFilterType

ALL, LIST

»»»» wbsFilterType

ALL, LIST

Parameter Constraints

Parameter

Constraints

»» page

Min: 0

»» size

Min: 1

Responses

Status

Meaning

Description

Schema

200

OK

OK

PageLightUnitDto

Get Number Of Filtered Entities

HTTP Request

POST /api/v1/batch/mass-workflow/jobs/number-of-filtered-entities

Parameters

Name

In

Type

Required

Description

body

body

MassWorkflowJobDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

integer

Search Master Agreements

HTTP Request

POST /api/v1/batch/mass-workflow/jobs/master-agreements

Parameters

Name

In

Type

Required

Description

body

body

object

true

none

» request

body

MassWorkflowJobListFilterTypeRequest

false

none

»» searchTerm

body

string

false

none

»» migratedFilterType

body

string

true

none

»» entityType

body

string

false

none

»» initialState

body

string

false

none

»» transitions

body

[string]

false

none

»» acceptsHitchhickers

body

boolean

false

none

»» profile

body

MassWorkflowJobFilter

true

none

»»» persistable

body

boolean

false

none

»»» id

body

integer(int64)

false

none

»»» createdBy

body

string

false

none

»»» createdAt

body

string(date-time)

false

none

»»» modifiedBy

body

string

false

none

»»» modifiedAt

body

string(date-time)

false

none

»»» profileId

body

integer(int64)

false

none

»»» name

body

string

false

none

»»» principalPositionType

body

string

false

none

»»» filterTypes

body

MassWorkflowObjectFilterTypes

false

none

»»»» erpSystemFilterType

body

string

false

none

»»»» leaseAreaFilterType

body

string

false

none

»»»» businessUnitFilterType

body

string

false

none

»»»» companyFilterType

body

string

false

none

»»»» leaseDepartmentFilterType

body

string

false

none

»»»» leaseGroupFilterType

body

string

false

none

»»»» costCenterFilterType

body

string

false

none

»»»» profitCenterFilterType

body

string

false

none

»»»» wbsFilterType

body

string

false

none

»»»» businessAreaFilterType

body

string

false

none

»»»» functionalAreaFilterType

body

string

false

none

»»» baseIdList

body

[BatchFilterObjectBaseId]

false

none

»»»» id

body

integer(int64)

false

none

»»»» displayId

body

string

false

none

»»»» objectType

body

string

true

none

»»» bypassFiltering

body

boolean

false

none

»»» listObjectType

body

string

false

none

»»» objectListDisplayIds

body

[string]

false

none

»»» new

body

boolean

false

none

» pageable

body

Pageable

false

Represents pagination request parameters including page number, page size, and sorting options.

»» page

body

integer(int32)

true

The requested page number (0-based).

»» size

body

integer(int32)

true

The number of elements to be returned per page.

»» sort

body

[string]

false

Sorting criteria in the format: property,(asc

Example Values

Parameter

Example

Type

»» page

0

body

»» size

10

body

»» sort

["id,asc","name,desc"]

body

Enumerated Values

Attribute

Value

»» entityType

ACTIVATION_GROUP, CONTRACT, JOURNAL, LEASE_COMPONENT, MASTER_AGREEMENT, UNIT

»» initialState

AG_ACTIVATING, AG_ACTIVE, AG_CLASSIFIED, AG_CLOSED, AG_CLOSING, AG_DEFINE, AG_GENERATING_SCHEDULE, AG_GENERATING_SCHEDULE_2, AG_INACTIVE, AG_LEASE_END, AG_LEASE_ENDING, AG_PENDING_ASSESSMENT, AG_PENDING_CLASSIFICATION, AG_RECLOSE, AG_REJECTED, AG_REPROCESS, AG_REVERSING, AG_REVERTED, AG_REVERTING, AG_REVISION, AG_SPLITTING, CONTRACT_ACTIVE, CONTRACT_CLOSED, CONTRACT_DEFINE, CONTRACT_REJECTED, CONTRACT_REVISION, CONTRACT_WAITING_FOR_APPROVAL, LC_ACTIVATING, LC_ACTIVE, LC_CLOSED, LC_DEFINE, LC_REJECTED, LC_REVISION, LC_WAITING_FOR_APPROVAL, MLA_ACTIVE, MLA_CLOSED, MLA_DEFINE, MLA_DISCARDED, MLA_WAITING_FOR_APPROVAL, UNIT_ACTIVE, UNIT_CASUALTY, UNIT_DELIVERED, UNIT_DRAFT, UNIT_INITIAL, UNIT_PURCHASED, UNIT_REACQUIRED, UNIT_RECEIVED, UNIT_RELINQUISHED, UNIT_RETURNED, UNIT_SHIPPED

»» migratedFilterType

ALL, MIGRATED, NON_MIGRATED

»» transitions

AG_ACTIVATING_TO_ACTIVE, AG_ACTIVE_TO_LEASE_ENDING, AG_CLASSIFIED_TO_ACTIVATING, AG_CLASSIFIED_TO_DEFINE, AG_CLASSIFIED_TO_REJECTED, AG_CLOSING_TO_CLOSE, AG_DEFINE_TO_GENERATING, AG_DEFINE_TO_GENERATING_2, AG_GENERATING_TO_DEFINE, AG_GENERATING_TO_PENDING_ASSESSMENT, AG_LEASE_ENDING_TO_LEASE_END, AG_LEASE_END_TO_CLOSING, AG_PENDING_ASSESSMENT_TO_DEFINE, AG_PENDING_ASSESSMENT_TO_PENDING_CLASSIFICATION, AG_PENDING_CLASSIFICATION_TO_CLASSIFIED, AG_PENDING_CLASSIFICATION_TO_DEFINE, AG_RECLOSE_TO_CLOSING, AG_REPROCESS_TO_ACTIVATING, AG_REPROCESS_TO_REVERSING, AG_REVERSING_TO_DEFINE, AG_SPLITTING_TO_UNKNOWN, CONTRACT_ACTIVE_TO_CLOSE, CONTRACT_ACTIVE_TO_DEFINE, CONTRACT_ACTIVE_TO_REJECTED, CONTRACT_DEFINE_TO_WAITING_FOR_APPROVAL, CONTRACT_WAITING_FOR_APPROVAL_TO_APPROVED, CONTRACT_WAITING_FOR_APPROVAL_TO_DEFINE, LC_ACTIVATING_TO_APPROVED, LC_ACTIVE_TO_CLOSE, LC_ACTIVE_TO_DEFINE, LC_ACTIVE_TO_REJECTED, LC_DEFINE_TO_WAITING_FOR_APPROVAL, LC_WAITING_FOR_APPROVAL_TO_ACTIVATING, LC_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_ACTIVE_TO_CLOSED, MLA_ACTIVE_TO_DEFINE, MLA_DEFINE_TO_WAITING_FOR_APPROVAL, MLA_WAITING_FOR_APPROVAL_TO_ACTIVE, MLA_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_WAITING_FOR_APPROVAL_TO_DISCARDED, UNIT_ACTIVE_TO_CLOSED, UNIT_DELIVERED_TO_REACQUIRED, UNIT_DELIVERED_TO_RELINQUISHED, UNIT_DRAFT_TO_INITIAL, UNIT_INITIAL_TO_RECEIVED, UNIT_INITIAL_TO_SHIPPED, UNIT_RECEIVED_TO_ACTIVE, UNIT_SHIPPED_TO_DELIVERED

»»» listObjectType

ACTIVATION_GROUP, CHARGE, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, SCHEDULE, UNIT

»»» principalPositionType

LESSEE, LESSOR

»»»» businessAreaFilterType

ALL, LIST

»»»» businessUnitFilterType

ALL, LIST

»»»» companyFilterType

ALL, LIST

»»»» costCenterFilterType

ALL, LIST

»»»» erpSystemFilterType

ALL, LIST

»»»» functionalAreaFilterType

ALL, LIST

»»»» leaseAreaFilterType

ALL, LIST

»»»» leaseDepartmentFilterType

ALL, LIST

»»»» leaseGroupFilterType

ALL, LIST

»»»» objectType

ASSET_CLASS, BUSINESS_AREA, BUSINESS_UNIT, COMPANY, CONSUMER_PRICE_INDEX_CATEGORY, COST_CENTER, ERP_SYSTEM, FUNCTIONAL_AREA, LEASE_AREA, LEASE_DEPARTMENT, LEASE_GROUP, PROFIT_CENTER, WORK_BREAKDOWN_STRUCTURE

»»»» profitCenterFilterType

ALL, LIST

»»»» wbsFilterType

ALL, LIST

Parameter Constraints

Parameter

Constraints

»» page

Min: 0

»» size

Min: 1

Responses

Status

Meaning

Description

Schema

200

OK

OK

PageMasterAgreementDto

Search Lease Components

HTTP Request

POST /api/v1/batch/mass-workflow/jobs/lease-components

Parameters

Name

In

Type

Required

Description

body

body

object

true

none

» request

body

MassWorkflowJobListFilterTypeRequest

false

none

»» searchTerm

body

string

false

none

»» migratedFilterType

body

string

true

none

»» entityType

body

string

false

none

»» initialState

body

string

false

none

»» transitions

body

[string]

false

none

»» acceptsHitchhickers

body

boolean

false

none

»» profile

body

MassWorkflowJobFilter

true

none

»»» persistable

body

boolean

false

none

»»» id

body

integer(int64)

false

none

»»» createdBy

body

string

false

none

»»» createdAt

body

string(date-time)

false

none

»»» modifiedBy

body

string

false

none

»»» modifiedAt

body

string(date-time)

false

none

»»» profileId

body

integer(int64)

false

none

»»» name

body

string

false

none

»»» principalPositionType

body

string

false

none

»»» filterTypes

body

MassWorkflowObjectFilterTypes

false

none

»»»» erpSystemFilterType

body

string

false

none

»»»» leaseAreaFilterType

body

string

false

none

»»»» businessUnitFilterType

body

string

false

none

»»»» companyFilterType

body

string

false

none

»»»» leaseDepartmentFilterType

body

string

false

none

»»»» leaseGroupFilterType

body

string

false

none

»»»» costCenterFilterType

body

string

false

none

»»»» profitCenterFilterType

body

string

false

none

»»»» wbsFilterType

body

string

false

none

»»»» businessAreaFilterType

body

string

false

none

»»»» functionalAreaFilterType

body

string

false

none

»»» baseIdList

body

[BatchFilterObjectBaseId]

false

none

»»»» id

body

integer(int64)

false

none

»»»» displayId

body

string

false

none

»»»» objectType

body

string

true

none

»»» bypassFiltering

body

boolean

false

none

»»» listObjectType

body

string

false

none

»»» objectListDisplayIds

body

[string]

false

none

»»» new

body

boolean

false

none

» pageable

body

Pageable

false

Represents pagination request parameters including page number, page size, and sorting options.

»» page

body

integer(int32)

true

The requested page number (0-based).

»» size

body

integer(int32)

true

The number of elements to be returned per page.

»» sort

body

[string]

false

Sorting criteria in the format: property,(asc

Example Values

Parameter

Example

Type

»» page

0

body

»» size

10

body

»» sort

["id,asc","name,desc"]

body

Enumerated Values

Attribute

Value

»» entityType

ACTIVATION_GROUP, CONTRACT, JOURNAL, LEASE_COMPONENT, MASTER_AGREEMENT, UNIT

»» initialState

AG_ACTIVATING, AG_ACTIVE, AG_CLASSIFIED, AG_CLOSED, AG_CLOSING, AG_DEFINE, AG_GENERATING_SCHEDULE, AG_GENERATING_SCHEDULE_2, AG_INACTIVE, AG_LEASE_END, AG_LEASE_ENDING, AG_PENDING_ASSESSMENT, AG_PENDING_CLASSIFICATION, AG_RECLOSE, AG_REJECTED, AG_REPROCESS, AG_REVERSING, AG_REVERTED, AG_REVERTING, AG_REVISION, AG_SPLITTING, CONTRACT_ACTIVE, CONTRACT_CLOSED, CONTRACT_DEFINE, CONTRACT_REJECTED, CONTRACT_REVISION, CONTRACT_WAITING_FOR_APPROVAL, LC_ACTIVATING, LC_ACTIVE, LC_CLOSED, LC_DEFINE, LC_REJECTED, LC_REVISION, LC_WAITING_FOR_APPROVAL, MLA_ACTIVE, MLA_CLOSED, MLA_DEFINE, MLA_DISCARDED, MLA_WAITING_FOR_APPROVAL, UNIT_ACTIVE, UNIT_CASUALTY, UNIT_DELIVERED, UNIT_DRAFT, UNIT_INITIAL, UNIT_PURCHASED, UNIT_REACQUIRED, UNIT_RECEIVED, UNIT_RELINQUISHED, UNIT_RETURNED, UNIT_SHIPPED

»» migratedFilterType

ALL, MIGRATED, NON_MIGRATED

»» transitions

AG_ACTIVATING_TO_ACTIVE, AG_ACTIVE_TO_LEASE_ENDING, AG_CLASSIFIED_TO_ACTIVATING, AG_CLASSIFIED_TO_DEFINE, AG_CLASSIFIED_TO_REJECTED, AG_CLOSING_TO_CLOSE, AG_DEFINE_TO_GENERATING, AG_DEFINE_TO_GENERATING_2, AG_GENERATING_TO_DEFINE, AG_GENERATING_TO_PENDING_ASSESSMENT, AG_LEASE_ENDING_TO_LEASE_END, AG_LEASE_END_TO_CLOSING, AG_PENDING_ASSESSMENT_TO_DEFINE, AG_PENDING_ASSESSMENT_TO_PENDING_CLASSIFICATION, AG_PENDING_CLASSIFICATION_TO_CLASSIFIED, AG_PENDING_CLASSIFICATION_TO_DEFINE, AG_RECLOSE_TO_CLOSING, AG_REPROCESS_TO_ACTIVATING, AG_REPROCESS_TO_REVERSING, AG_REVERSING_TO_DEFINE, AG_SPLITTING_TO_UNKNOWN, CONTRACT_ACTIVE_TO_CLOSE, CONTRACT_ACTIVE_TO_DEFINE, CONTRACT_ACTIVE_TO_REJECTED, CONTRACT_DEFINE_TO_WAITING_FOR_APPROVAL, CONTRACT_WAITING_FOR_APPROVAL_TO_APPROVED, CONTRACT_WAITING_FOR_APPROVAL_TO_DEFINE, LC_ACTIVATING_TO_APPROVED, LC_ACTIVE_TO_CLOSE, LC_ACTIVE_TO_DEFINE, LC_ACTIVE_TO_REJECTED, LC_DEFINE_TO_WAITING_FOR_APPROVAL, LC_WAITING_FOR_APPROVAL_TO_ACTIVATING, LC_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_ACTIVE_TO_CLOSED, MLA_ACTIVE_TO_DEFINE, MLA_DEFINE_TO_WAITING_FOR_APPROVAL, MLA_WAITING_FOR_APPROVAL_TO_ACTIVE, MLA_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_WAITING_FOR_APPROVAL_TO_DISCARDED, UNIT_ACTIVE_TO_CLOSED, UNIT_DELIVERED_TO_REACQUIRED, UNIT_DELIVERED_TO_RELINQUISHED, UNIT_DRAFT_TO_INITIAL, UNIT_INITIAL_TO_RECEIVED, UNIT_INITIAL_TO_SHIPPED, UNIT_RECEIVED_TO_ACTIVE, UNIT_SHIPPED_TO_DELIVERED

»»» listObjectType

ACTIVATION_GROUP, CHARGE, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, SCHEDULE, UNIT

»»» principalPositionType

LESSEE, LESSOR

»»»» businessAreaFilterType

ALL, LIST

»»»» businessUnitFilterType

ALL, LIST

»»»» companyFilterType

ALL, LIST

»»»» costCenterFilterType

ALL, LIST

»»»» erpSystemFilterType

ALL, LIST

»»»» functionalAreaFilterType

ALL, LIST

»»»» leaseAreaFilterType

ALL, LIST

»»»» leaseDepartmentFilterType

ALL, LIST

»»»» leaseGroupFilterType

ALL, LIST

»»»» objectType

ASSET_CLASS, BUSINESS_AREA, BUSINESS_UNIT, COMPANY, CONSUMER_PRICE_INDEX_CATEGORY, COST_CENTER, ERP_SYSTEM, FUNCTIONAL_AREA, LEASE_AREA, LEASE_DEPARTMENT, LEASE_GROUP, PROFIT_CENTER, WORK_BREAKDOWN_STRUCTURE

»»»» profitCenterFilterType

ALL, LIST

»»»» wbsFilterType

ALL, LIST

Parameter Constraints

Parameter

Constraints

»» page

Min: 0

»» size

Min: 1

Responses

Status

Meaning

Description

Schema

200

OK

OK

PageLeaseComponentDto

Search Contracts

HTTP Request

POST /api/v1/batch/mass-workflow/jobs/contracts

Parameters

Name

In

Type

Required

Description

body

body

object

true

none

» request

body

MassWorkflowJobListFilterTypeRequest

false

none

»» searchTerm

body

string

false

none

»» migratedFilterType

body

string

true

none

»» entityType

body

string

false

none

»» initialState

body

string

false

none

»» transitions

body

[string]

false

none

»» acceptsHitchhickers

body

boolean

false

none

»» profile

body

MassWorkflowJobFilter

true

none

»»» persistable

body

boolean

false

none

»»» id

body

integer(int64)

false

none

»»» createdBy

body

string

false

none

»»» createdAt

body

string(date-time)

false

none

»»» modifiedBy

body

string

false

none

»»» modifiedAt

body

string(date-time)

false

none

»»» profileId

body

integer(int64)

false

none

»»» name

body

string

false

none

»»» principalPositionType

body

string

false

none

»»» filterTypes

body

MassWorkflowObjectFilterTypes

false

none

»»»» erpSystemFilterType

body

string

false

none

»»»» leaseAreaFilterType

body

string

false

none

»»»» businessUnitFilterType

body

string

false

none

»»»» companyFilterType

body

string

false

none

»»»» leaseDepartmentFilterType

body

string

false

none

»»»» leaseGroupFilterType

body

string

false

none

»»»» costCenterFilterType

body

string

false

none

»»»» profitCenterFilterType

body

string

false

none

»»»» wbsFilterType

body

string

false

none

»»»» businessAreaFilterType

body

string

false

none

»»»» functionalAreaFilterType

body

string

false

none

»»» baseIdList

body

[BatchFilterObjectBaseId]

false

none

»»»» id

body

integer(int64)

false

none

»»»» displayId

body

string

false

none

»»»» objectType

body

string

true

none

»»» bypassFiltering

body

boolean

false

none

»»» listObjectType

body

string

false

none

»»» objectListDisplayIds

body

[string]

false

none

»»» new

body

boolean

false

none

» pageable

body

Pageable

false

Represents pagination request parameters including page number, page size, and sorting options.

»» page

body

integer(int32)

true

The requested page number (0-based).

»» size

body

integer(int32)

true

The number of elements to be returned per page.

»» sort

body

[string]

false

Sorting criteria in the format: property,(asc

Example Values

Parameter

Example

Type

»» page

0

body

»» size

10

body

»» sort

["id,asc","name,desc"]

body

Enumerated Values

Attribute

Value

»» entityType

ACTIVATION_GROUP, CONTRACT, JOURNAL, LEASE_COMPONENT, MASTER_AGREEMENT, UNIT

»» initialState

AG_ACTIVATING, AG_ACTIVE, AG_CLASSIFIED, AG_CLOSED, AG_CLOSING, AG_DEFINE, AG_GENERATING_SCHEDULE, AG_GENERATING_SCHEDULE_2, AG_INACTIVE, AG_LEASE_END, AG_LEASE_ENDING, AG_PENDING_ASSESSMENT, AG_PENDING_CLASSIFICATION, AG_RECLOSE, AG_REJECTED, AG_REPROCESS, AG_REVERSING, AG_REVERTED, AG_REVERTING, AG_REVISION, AG_SPLITTING, CONTRACT_ACTIVE, CONTRACT_CLOSED, CONTRACT_DEFINE, CONTRACT_REJECTED, CONTRACT_REVISION, CONTRACT_WAITING_FOR_APPROVAL, LC_ACTIVATING, LC_ACTIVE, LC_CLOSED, LC_DEFINE, LC_REJECTED, LC_REVISION, LC_WAITING_FOR_APPROVAL, MLA_ACTIVE, MLA_CLOSED, MLA_DEFINE, MLA_DISCARDED, MLA_WAITING_FOR_APPROVAL, UNIT_ACTIVE, UNIT_CASUALTY, UNIT_DELIVERED, UNIT_DRAFT, UNIT_INITIAL, UNIT_PURCHASED, UNIT_REACQUIRED, UNIT_RECEIVED, UNIT_RELINQUISHED, UNIT_RETURNED, UNIT_SHIPPED

»» migratedFilterType

ALL, MIGRATED, NON_MIGRATED

»» transitions

AG_ACTIVATING_TO_ACTIVE, AG_ACTIVE_TO_LEASE_ENDING, AG_CLASSIFIED_TO_ACTIVATING, AG_CLASSIFIED_TO_DEFINE, AG_CLASSIFIED_TO_REJECTED, AG_CLOSING_TO_CLOSE, AG_DEFINE_TO_GENERATING, AG_DEFINE_TO_GENERATING_2, AG_GENERATING_TO_DEFINE, AG_GENERATING_TO_PENDING_ASSESSMENT, AG_LEASE_ENDING_TO_LEASE_END, AG_LEASE_END_TO_CLOSING, AG_PENDING_ASSESSMENT_TO_DEFINE, AG_PENDING_ASSESSMENT_TO_PENDING_CLASSIFICATION, AG_PENDING_CLASSIFICATION_TO_CLASSIFIED, AG_PENDING_CLASSIFICATION_TO_DEFINE, AG_RECLOSE_TO_CLOSING, AG_REPROCESS_TO_ACTIVATING, AG_REPROCESS_TO_REVERSING, AG_REVERSING_TO_DEFINE, AG_SPLITTING_TO_UNKNOWN, CONTRACT_ACTIVE_TO_CLOSE, CONTRACT_ACTIVE_TO_DEFINE, CONTRACT_ACTIVE_TO_REJECTED, CONTRACT_DEFINE_TO_WAITING_FOR_APPROVAL, CONTRACT_WAITING_FOR_APPROVAL_TO_APPROVED, CONTRACT_WAITING_FOR_APPROVAL_TO_DEFINE, LC_ACTIVATING_TO_APPROVED, LC_ACTIVE_TO_CLOSE, LC_ACTIVE_TO_DEFINE, LC_ACTIVE_TO_REJECTED, LC_DEFINE_TO_WAITING_FOR_APPROVAL, LC_WAITING_FOR_APPROVAL_TO_ACTIVATING, LC_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_ACTIVE_TO_CLOSED, MLA_ACTIVE_TO_DEFINE, MLA_DEFINE_TO_WAITING_FOR_APPROVAL, MLA_WAITING_FOR_APPROVAL_TO_ACTIVE, MLA_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_WAITING_FOR_APPROVAL_TO_DISCARDED, UNIT_ACTIVE_TO_CLOSED, UNIT_DELIVERED_TO_REACQUIRED, UNIT_DELIVERED_TO_RELINQUISHED, UNIT_DRAFT_TO_INITIAL, UNIT_INITIAL_TO_RECEIVED, UNIT_INITIAL_TO_SHIPPED, UNIT_RECEIVED_TO_ACTIVE, UNIT_SHIPPED_TO_DELIVERED

»»» listObjectType

ACTIVATION_GROUP, CHARGE, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, SCHEDULE, UNIT

»»» principalPositionType

LESSEE, LESSOR

»»»» businessAreaFilterType

ALL, LIST

»»»» businessUnitFilterType

ALL, LIST

»»»» companyFilterType

ALL, LIST

»»»» costCenterFilterType

ALL, LIST

»»»» erpSystemFilterType

ALL, LIST

»»»» functionalAreaFilterType

ALL, LIST

»»»» leaseAreaFilterType

ALL, LIST

»»»» leaseDepartmentFilterType

ALL, LIST

»»»» leaseGroupFilterType

ALL, LIST

»»»» objectType

ASSET_CLASS, BUSINESS_AREA, BUSINESS_UNIT, COMPANY, CONSUMER_PRICE_INDEX_CATEGORY, COST_CENTER, ERP_SYSTEM, FUNCTIONAL_AREA, LEASE_AREA, LEASE_DEPARTMENT, LEASE_GROUP, PROFIT_CENTER, WORK_BREAKDOWN_STRUCTURE

»»»» profitCenterFilterType

ALL, LIST

»»»» wbsFilterType

ALL, LIST

Parameter Constraints

Parameter

Constraints

»» page

Min: 0

»» size

Min: 1

Responses

Status

Meaning

Description

Schema

200

OK

OK

PageContractDto

Cancel Tasks

HTTP Request

POST /api/v1/batch/mass-workflow/jobs/cancel/{jobId}

Parameters

Name

In

Type

Required

Description

jobId

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

None

Search Activation Groups

HTTP Request

POST /api/v1/batch/mass-workflow/jobs/activation-groups

Parameters

Name

In

Type

Required

Description

body

body

object

true

none

» request

body

MassWorkflowJobListFilterTypeRequest

false

none

»» searchTerm

body

string

false

none

»» migratedFilterType

body

string

true

none

»» entityType

body

string

false

none

»» initialState

body

string

false

none

»» transitions

body

[string]

false

none

»» acceptsHitchhickers

body

boolean

false

none

»» profile

body

MassWorkflowJobFilter

true

none

»»» persistable

body

boolean

false

none

»»» id

body

integer(int64)

false

none

»»» createdBy

body

string

false

none

»»» createdAt

body

string(date-time)

false

none

»»» modifiedBy

body

string

false

none

»»» modifiedAt

body

string(date-time)

false

none

»»» profileId

body

integer(int64)

false

none

»»» name

body

string

false

none

»»» principalPositionType

body

string

false

none

»»» filterTypes

body

MassWorkflowObjectFilterTypes

false

none

»»»» erpSystemFilterType

body

string

false

none

»»»» leaseAreaFilterType

body

string

false

none

»»»» businessUnitFilterType

body

string

false

none

»»»» companyFilterType

body

string

false

none

»»»» leaseDepartmentFilterType

body

string

false

none

»»»» leaseGroupFilterType

body

string

false

none

»»»» costCenterFilterType

body

string

false

none

»»»» profitCenterFilterType

body

string

false

none

»»»» wbsFilterType

body

string

false

none

»»»» businessAreaFilterType

body

string

false

none

»»»» functionalAreaFilterType

body

string

false

none

»»» baseIdList

body

[BatchFilterObjectBaseId]

false

none

»»»» id

body

integer(int64)

false

none

»»»» displayId

body

string

false

none

»»»» objectType

body

string

true

none

»»» bypassFiltering

body

boolean

false

none

»»» listObjectType

body

string

false

none

»»» objectListDisplayIds

body

[string]

false

none

»»» new

body

boolean

false

none

» pageable

body

Pageable

false

Represents pagination request parameters including page number, page size, and sorting options.

»» page

body

integer(int32)

true

The requested page number (0-based).

»» size

body

integer(int32)

true

The number of elements to be returned per page.

»» sort

body

[string]

false

Sorting criteria in the format: property,(asc

Example Values

Parameter

Example

Type

»» page

0

body

»» size

10

body

»» sort

["id,asc","name,desc"]

body

Enumerated Values

Attribute

Value

»» entityType

ACTIVATION_GROUP, CONTRACT, JOURNAL, LEASE_COMPONENT, MASTER_AGREEMENT, UNIT

»» initialState

AG_ACTIVATING, AG_ACTIVE, AG_CLASSIFIED, AG_CLOSED, AG_CLOSING, AG_DEFINE, AG_GENERATING_SCHEDULE, AG_GENERATING_SCHEDULE_2, AG_INACTIVE, AG_LEASE_END, AG_LEASE_ENDING, AG_PENDING_ASSESSMENT, AG_PENDING_CLASSIFICATION, AG_RECLOSE, AG_REJECTED, AG_REPROCESS, AG_REVERSING, AG_REVERTED, AG_REVERTING, AG_REVISION, AG_SPLITTING, CONTRACT_ACTIVE, CONTRACT_CLOSED, CONTRACT_DEFINE, CONTRACT_REJECTED, CONTRACT_REVISION, CONTRACT_WAITING_FOR_APPROVAL, LC_ACTIVATING, LC_ACTIVE, LC_CLOSED, LC_DEFINE, LC_REJECTED, LC_REVISION, LC_WAITING_FOR_APPROVAL, MLA_ACTIVE, MLA_CLOSED, MLA_DEFINE, MLA_DISCARDED, MLA_WAITING_FOR_APPROVAL, UNIT_ACTIVE, UNIT_CASUALTY, UNIT_DELIVERED, UNIT_DRAFT, UNIT_INITIAL, UNIT_PURCHASED, UNIT_REACQUIRED, UNIT_RECEIVED, UNIT_RELINQUISHED, UNIT_RETURNED, UNIT_SHIPPED

»» migratedFilterType

ALL, MIGRATED, NON_MIGRATED

»» transitions

AG_ACTIVATING_TO_ACTIVE, AG_ACTIVE_TO_LEASE_ENDING, AG_CLASSIFIED_TO_ACTIVATING, AG_CLASSIFIED_TO_DEFINE, AG_CLASSIFIED_TO_REJECTED, AG_CLOSING_TO_CLOSE, AG_DEFINE_TO_GENERATING, AG_DEFINE_TO_GENERATING_2, AG_GENERATING_TO_DEFINE, AG_GENERATING_TO_PENDING_ASSESSMENT, AG_LEASE_ENDING_TO_LEASE_END, AG_LEASE_END_TO_CLOSING, AG_PENDING_ASSESSMENT_TO_DEFINE, AG_PENDING_ASSESSMENT_TO_PENDING_CLASSIFICATION, AG_PENDING_CLASSIFICATION_TO_CLASSIFIED, AG_PENDING_CLASSIFICATION_TO_DEFINE, AG_RECLOSE_TO_CLOSING, AG_REPROCESS_TO_ACTIVATING, AG_REPROCESS_TO_REVERSING, AG_REVERSING_TO_DEFINE, AG_SPLITTING_TO_UNKNOWN, CONTRACT_ACTIVE_TO_CLOSE, CONTRACT_ACTIVE_TO_DEFINE, CONTRACT_ACTIVE_TO_REJECTED, CONTRACT_DEFINE_TO_WAITING_FOR_APPROVAL, CONTRACT_WAITING_FOR_APPROVAL_TO_APPROVED, CONTRACT_WAITING_FOR_APPROVAL_TO_DEFINE, LC_ACTIVATING_TO_APPROVED, LC_ACTIVE_TO_CLOSE, LC_ACTIVE_TO_DEFINE, LC_ACTIVE_TO_REJECTED, LC_DEFINE_TO_WAITING_FOR_APPROVAL, LC_WAITING_FOR_APPROVAL_TO_ACTIVATING, LC_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_ACTIVE_TO_CLOSED, MLA_ACTIVE_TO_DEFINE, MLA_DEFINE_TO_WAITING_FOR_APPROVAL, MLA_WAITING_FOR_APPROVAL_TO_ACTIVE, MLA_WAITING_FOR_APPROVAL_TO_DEFINE, MLA_WAITING_FOR_APPROVAL_TO_DISCARDED, UNIT_ACTIVE_TO_CLOSED, UNIT_DELIVERED_TO_REACQUIRED, UNIT_DELIVERED_TO_RELINQUISHED, UNIT_DRAFT_TO_INITIAL, UNIT_INITIAL_TO_RECEIVED, UNIT_INITIAL_TO_SHIPPED, UNIT_RECEIVED_TO_ACTIVE, UNIT_SHIPPED_TO_DELIVERED

»»» listObjectType

ACTIVATION_GROUP, CHARGE, CONTRACT, LEASE_COMPONENT, MASTER_AGREEMENT, SCHEDULE, UNIT

»»» principalPositionType

LESSEE, LESSOR

»»»» businessAreaFilterType

ALL, LIST

»»»» businessUnitFilterType

ALL, LIST

»»»» companyFilterType

ALL, LIST

»»»» costCenterFilterType

ALL, LIST

»»»» erpSystemFilterType

ALL, LIST

»»»» functionalAreaFilterType

ALL, LIST

»»»» leaseAreaFilterType

ALL, LIST

»»»» leaseDepartmentFilterType

ALL, LIST

»»»» leaseGroupFilterType

ALL, LIST

»»»» objectType

ASSET_CLASS, BUSINESS_AREA, BUSINESS_UNIT, COMPANY, CONSUMER_PRICE_INDEX_CATEGORY, COST_CENTER, ERP_SYSTEM, FUNCTIONAL_AREA, LEASE_AREA, LEASE_DEPARTMENT, LEASE_GROUP, PROFIT_CENTER, WORK_BREAKDOWN_STRUCTURE

»»»» profitCenterFilterType

ALL, LIST

»»»» wbsFilterType

ALL, LIST

Parameter Constraints

Parameter

Constraints

»» page

Min: 0

»» size

Min: 1

Responses

Status

Meaning

Description

Schema

200

OK

OK

PageActivationGroupDto

Find All

HTTP Request

GET /api/v1/batch/mass-workflow/jobs

Parameters

Name

In

Type

Required

Description

pageable

query

Pageable

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

PageMassWorkflowJobDto

Create

HTTP Request

POST /api/v1/batch/mass-workflow/jobs

Parameters

Name

In

Type

Required

Description

body

body

MassWorkflowJobDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseMassWorkflowJobDto

Get Transitions Originating From State

HTTP Request

GET /api/v1/batch/mass-workflow/jobs/transitions-originating-from-state/{state_type_name}

Parameters

Name

In

Type

Required

Description

state_type_name

path

string

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

Inline

Response Schema

Get Transitions Between States

HTTP Request

GET /api/v1/batch/mass-workflow/jobs/transitions-between-states/{initial_state}/{terminal_state}

Parameters

Name

In

Type

Required

Description

initial_state

path

string

true

none

terminal_state

path

string

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

Inline

Response Schema

Get Permissible Transitions Originating From State

HTTP Request

GET /api/v1/batch/mass-workflow/jobs/permissible-transitions-originating-from-state/{state_type_name}

Parameters

Name

In

Type

Required

Description

state_type_name

path

string

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

Inline

Response Schema

Get Permissible Initial States

HTTP Request

GET /api/v1/batch/mass-workflow/jobs/permissible-initial-states/{entity_type}

Parameters

Name

In

Type

Required

Description

entity_type

path

string

true

none

principalPositionType

query

string

false

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

Inline

Response Schema

Get Permissible End States

HTTP Request

GET /api/v1/batch/mass-workflow/jobs/permissible-end-states/{entity_type}/{init_state}

Parameters

Name

In

Type

Required

Description

entity_type

path

string

true

none

init_state

path

string

true

none

principalPositionType

query

string

false

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

Inline

Response Schema

Get Ordered Possible Terminal States

HTTP Request

GET /api/v1/batch/mass-workflow/jobs/ordered-possible-terminal-states/{entity_type}/{init_state}

Parameters

Name

In

Type

Required

Description

entity_type

path

string

true

none

init_state

path

string

true

none

principalPositionType

query

string

false

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

Inline

Response Schema

Get List Object Types

HTTP Request

GET /api/v1/batch/mass-workflow/jobs/list-object-types

Responses

Status

Meaning

Description

Schema

200

OK

OK

Inline

Response Schema

Download Workbook Template

HTTP Request

GET /api/v1/batch/mass-workflow/jobs/download-workbook-template/{job-id}

Parameters

Name

In

Type

Required

Description

job-id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

None

Download Workbook Input

HTTP Request

GET /api/v1/batch/mass-workflow/jobs/download-workbook-input/{job-id}

Parameters

Name

In

Type

Required

Description

job-id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

None